## kdeclarative 5.3.0

=== debian/changelog ===
kdeclarative (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:12:58 +0100

kdeclarative (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Update install paths for all qml packages. 
  * Add new qml package for kio
  * Revert to original install paths. Upstream Review:120229

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:43:32 +0200

kdeclarative (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:13:34 +0200

kdeclarative (5.0.0-0ubuntu2) utopic; urgency=medium

  * Add implicit depends on qml modules from libkf5declarative5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 17:57:46 +0200

kdeclarative (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:38:08 +0200
