## kdeclarative 5.9.0

=== debian/changelog ===
kdeclarative (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:26:36 +0200

kdeclarative (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:36:18 +0100

kdeclarative (5.7.0-0ubuntu3) vivid; urgency=medium

  * Refine kubuntu_fix_epoxy_vs_qopengl.diff to prevent Qt from
    doing a second typedef on GLdouble

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 16:49:06 +0100

kdeclarative (5.7.0-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_fix_epoxy_vs_qopengl.diff in an attempt to fix
    armhf builds failing from conflicting typedefs between epoxy
    and qopengl

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 16:11:45 +0100

kdeclarative (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:48:37 +0100

kdeclarative (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:09:25 +0100

kdeclarative (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:19:18 +0100

kdeclarative (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:03:22 +0100
