## kdeclarative 5.15.0

=== debian/changelog ===
kdeclarative (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:45:49 +0100

kdeclarative (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:12:28 +0100

kdeclarative (5.13.0-0ubuntu4) wily; urgency=medium

  * Add qml-module-qtquick2 to test-deps as one of our tests requires QtQuick.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 17:19:04 +0100

kdeclarative (5.13.0-0ubuntu3) wily; urgency=medium

  * Oh noes, I typoed "c++11", sorry.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 14:58:05 +0100

kdeclarative (5.13.0-0ubuntu2) wily; urgency=medium

  * acc test: Pass -std=c++11 to avoid failure relating to std::unique_ptr.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 13:10:06 +0100

kdeclarative (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:55:27 +0200

kdeclarative (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.

  [ José Manuel Santamaría Lema ]
  * Update symbols file:
    - Mark as optional the symbols gone after building with GCC 5
    - Add new symbols, mark as optional those sho doesn't show up
      after rebuilding with GCC 4

  [ Scarlett Clark ]
  * Vivid backport 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:27:13 +0200

kdeclarative (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:13:38 +0200

kdeclarative (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:02:52 +0200

kdeclarative (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:25 +0200

kdeclarative (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Remove upstream applied patch: kubuntu_fix_epoxy_vs_qopengl.diff
  * Update symbols files.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:54 +0100

kdeclarative (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:48 +0100

kdeclarative (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add acc autopkgtests.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Update symbols files.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Jan 2015 14:13:38 +0100
