=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         qml-module-qtquick2
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
