## kdeclarative 5.18.0

=== debian/changelog ===
kdeclarative (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Add a new symbol to libkf5quickaddons5.symbols 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:35 +0100

kdeclarative (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:48 +0100

kdeclarative (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:04 +0200

kdeclarative (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Jonathan Riddell ]
  * Add libkf5calendarevents5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Nov 2015 15:43:36 +0000

kdeclarative (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:35 +0100

kdeclarative (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:17 +0200

kdeclarative (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 00:17:24 +0200

kdeclarative (5.12.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files for armel differences

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Jul 2015 22:54:39 -0400

kdeclarative (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update install files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:09 +0200
